package com.tencent.cloud.dtf.demo.inventory;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.transaction.annotation.EnableTransactionManagement;
//import org.springframework.tsf.annotation.EnableTsf;

import com.tencent.cloud.dtf.annotation.EnableDtf;

@SpringBootApplication
@EnableDtf
//@EnableTsf
@EnableDiscoveryClient
@EnableTransactionManagement
public class InventoryApplication {

    public static void main(String[] args) {
        SpringApplication.run(InventoryApplication.class, args);
    }
}
