package com.tencent.cloud.dtf.demo.order.proxy;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import com.tencent.cloud.dtf.demo.order.Order;

@Component
public class InventoryRestTemplate {

    @Autowired
    private RestTemplate restTemplate;

    public Boolean deduct(Order order) {
        Inventory inventory = new Inventory();
        inventory.setProductId(order.getProductId());
        inventory.setQty(order.getQty());
        return restTemplate.postForObject("http://spring-cloud-inventory/deduct", inventory, Boolean.class);
    }
}
