package com.tencent.cloud.dtf.demo.order.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.tencent.cloud.dtf.demo.order.Order;
import com.tencent.cloud.dtf.demo.order.TestOrder;
import com.tencent.cloud.dtf.demo.order.dao.OrderDao;
import com.tencent.cloud.dtf.demo.order.service.IOrderService;

@Service
public class OrderService implements IOrderService {

    @Autowired
    private OrderDao orderDao;

    @Transactional
    @Override
    public boolean order(Order order) {
        orderDao.createOrder(order);
        return true;
    }

    @Transactional
    @Override
    public boolean test(TestOrder testOrder) {
        return orderDao.test(testOrder) == 1;
    }
}
