package com.tencent.cloud.dtf.demo.order.proxy;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import com.tencent.cloud.dtf.demo.order.Order;

@Component
public class PaymentRestTemplate {
    @Autowired
    private RestTemplate restTemplate;

    public Boolean pay(Order order) {
        // 扣钱 - 加积分
        Payment payment = new Payment();
        payment.setAccountId(order.getAccountId());
        payment.setBalance(order.getQty());
        return restTemplate.postForObject("http://127.0.0.1:19002/pay", payment, Boolean.class);
    }
}
