package com.tencent.cloud.dtf.demo.payment.proxy;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import com.tencent.cloud.dtf.demo.payment.Payment;

@Component
public class PointRestTemplate {

    @Autowired
    private RestTemplate restTemplate;

    public boolean point(Payment payment) {
        Point point = new Point();
        point.setAccountId(payment.getAccountId());
        point.setPoint(payment.getBalance());
        return restTemplate.postForObject("http://127.0.0.1:19003/point", point, Boolean.class);
    }
}
