package com.tencent.cloud.dtf.demo.point.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.tencent.cloud.dtf.demo.point.Point;
import com.tencent.cloud.dtf.demo.point.dao.PointDao;
import com.tencent.cloud.dtf.demo.point.service.IPointService;

@Service
public class PointService implements IPointService {

    @Autowired
    private PointDao pointDao;

    @Transactional
    @Override
    public boolean point(Point point) {
        if (pointDao.point(point)) {
            return true;
        }
        throw new RuntimeException("Record point failed.");
    }
}
