package com.tencent.cloud.dtf.demo.inventory.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.tencent.cloud.dtf.demo.inventory.Inventory;
import com.tencent.cloud.dtf.demo.inventory.dao.InventoryDao;
import com.tencent.cloud.dtf.demo.inventory.exception.InventoryException;
import com.tencent.cloud.dtf.demo.inventory.service.IInventoryService;

@Service
public class InventoryService implements IInventoryService {

    @Autowired
    private InventoryDao inventoryDao;

    @Transactional
    @Override
    public boolean deduct(Inventory inventory) {
        if (inventoryDao.deduct(inventory)) {
            throw new InventoryException();
            // return true;
        }
        throw new RuntimeException("Deduct inventory failed.");
    }
}
