package com.tencent.cloud.dtf.demo.order.proxy;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import com.tencent.cloud.dtf.demo.order.config.FeignNoRetryConfig;

@FeignClient(name = "spring-cloud-payment", configuration = FeignNoRetryConfig.class)
public interface PaymentProxy {

    @RequestMapping("/pay")
    public Boolean pay(@RequestBody Payment payment);
}
