package com.tencent.cloud.dtf.demo.payment.proxy;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import com.tencent.cloud.dtf.demo.payment.config.FeignNoRetryConfig;

@FeignClient(name = "spring-cloud-point", configuration = FeignNoRetryConfig.class)
public interface PointProxy {

    @RequestMapping("/point")
    public boolean point(@RequestBody Point point);
}
